Loading...
Searching...
No Matches
XrdSfsFAInfo Struct Reference

`#include <XrdSfsFAttr.hh>`

Collaboration diagram for XrdSfsFAInfo:

## Public Member Functions

| XrdSfsFAInfo ()
| ~XrdSfsFAInfo ()

## Public Attributes

int | faRC
| Action return code for this element.
char * | Name
| Variable name.
short | NLen
| Length of name not including null byte.
char * | Value
| Variable value.
int | VLen
| Variable value length (aligned).

## Detailed Description

This include file defines control strucres used to drive entended file attribute handling via the fsctl() method.

Definition at line 43 of file XrdSfsFAttr.hh.

## Constructor & Destructor Documentation

## XrdSfsFAInfo()

XrdSfsFAInfo::XrdSfsFAInfo | ( |  | ) |

inline

Definition at line 51 of file XrdSfsFAttr.hh.

: Value(0), VLen(0), NLen(0), faRC(0) {}
XrdSfsFAInfo::VLen
int VLen
Variable value length (aligned).
Definition XrdSfsFAttr.hh:47
XrdSfsFAInfo::Value
char * Value
Variable value.
Definition XrdSfsFAttr.hh:46
XrdSfsFAInfo::NLen
short NLen
Length of name not including null byte.
Definition XrdSfsFAttr.hh:48
XrdSfsFAInfo::faRC
int faRC
Action return code for this element.
Definition XrdSfsFAttr.hh:49

References faRC, NLen, Value, and VLen.

## ~XrdSfsFAInfo()

XrdSfsFAInfo::~XrdSfsFAInfo | ( |  | ) |

inline

Definition at line 52 of file XrdSfsFAttr.hh.

{}

## Member Data Documentation

## faRC

int XrdSfsFAInfo::faRC

Action return code for this element.

Definition at line 49 of file XrdSfsFAttr.hh.

Referenced by XrdSfsFAInfo().

## Name

char* XrdSfsFAInfo::Name

Variable name.

Definition at line 45 of file XrdSfsFAttr.hh.

## NLen

short XrdSfsFAInfo::NLen

Length of name not including null byte.

Definition at line 48 of file XrdSfsFAttr.hh.

Referenced by XrdSfsFAInfo().

## Value

char* XrdSfsFAInfo::Value

Variable value.

Definition at line 46 of file XrdSfsFAttr.hh.

Referenced by XrdSfsFAInfo().

## VLen

int XrdSfsFAInfo::VLen

Variable value length (aligned).

Definition at line 47 of file XrdSfsFAttr.hh.

Referenced by XrdSfsFAInfo().

The documentation for this struct was generated from the following file:

- XrdSfsFAttr.hh